Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155875 - calendar-gui-CRITICAL warning when deleting recurrent appointments
Summary: calendar-gui-CRITICAL warning when deleting recurrent appointments
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution-data-server
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-25 07:34 UTC by Petr Šimon
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-01 05:01:18 UTC


Attachments (Terms of Use)

Description Petr Šimon 2005-04-25 07:34:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050322 Fedora/1.7.6-2

Description of problem:
Lots of noise when deleting recurrent appointments after switching to List view.

Version-Release number of selected component (if applicable):
evolution-data-server-1.0.2-7

How reproducible:
Always

Steps to Reproduce:
1. add recurrent appointment
2. switch to List view
3. delete "this" or "all occurences"

  

Actual Results:  (evolution:29024): calendar-gui-CRITICAL **: file e-cal-model-calendar.c: line 202 (ecmc_value_at): assertion `row >= 0 && row < e_table_model_row_count (etm)' failed

Expected Results:  No noise

Additional info:

This, however, does not affect the functionality of Evolution as far as I could see.

Comment 1 Dave Malcolm 2005-08-29 23:57:24 UTC
Various assertion failures firing for me:
eti_unfreeze (ETableItem *eti): g_return_if_fail (eti->frozen_count > 0); (it's
zero) called by eti_table_model_changed(), potentially called many times if
there are many recurrences in the list.

ecmc_value_at (ETableModel *etm, int col, int row): g_return_val_if_fail (row >=
0 && row < e_table_model_row_count (etm), NULL); row==0   Appears to be used in
layout size calculations, to get the string for a PangoLayout; uses an empty string.

These may well both be benign.


Comment 4 RHEL Product and Program Management 2007-01-01 05:01:18 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.